Skip to main content
GET
/
frameworks
/
{frameworkId}
Get framework by ID
curl --request GET \
  --url https://api.vanta.com/v1/frameworks/{frameworkId} \
  --header 'Authorization: Bearer <token>'
{
  "id": "soc2",
  "displayName": "SOC 2",
  "shorthandName": "SOC 2",
  "description": "AICPA standardized framework to prove a company’s security posture to prospective customers. For all US and international businesses.",
  "numControlsCompleted": 43,
  "numControlsTotal": 86,
  "numDocumentsPassing": 7,
  "numDocumentsTotal": 16,
  "numTestsPassing": 21,
  "numTestsTotal": 46,
  "requirementCategories": [
    {
      "id": "CC 1.0",
      "name": "Control Environment",
      "shorthand": null,
      "requirements": [
        {
          "id": "CC 1.1",
          "name": "",
          "shorthand": null,
          "description": "COSO Principle 1: The entity demonstrates a commitment to integrity and ethical values.",
          "controls": [
            {
              "id": "background-checks-performed",
              "externalId": null,
              "name": "Personnel background checks performed",
              "description": "The company performs background checks on new personnel."
            }
          ]
        }
      ]
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://vanta.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

frameworkId
string
required

Response

200 - application/json

Ok

id
string
required

The framework's unique ID.

displayName
string
required

The framework's display name.

shorthandName
string
required

The short version of the framework's display name.

description
string
required

The framework's description.

numControlsCompleted
number<double>
required

The number of completed controls in the framework.

numControlsTotal
number<double>
required

The total number of controls in the framework.

numDocumentsPassing
number<double>
required

The number of passing documents in the framework.

numDocumentsTotal
number<double>
required

The total number of documents in the framework.

numTestsPassing
number<double>
required

The number of passing tests in the framework.

numTestsTotal
number<double>
required

The total number of tests in the framework.

requirementCategories
object[]
required

The famework's list of requirement categories.